ICP / GTM / REST API

List segments

List the workspace GTM segments available in Launchpad so the operator can choose an exact segment before creating or reusing a campaign brief. Never guess when multiple segments are returned.

GET /api/launchpad/segmentsDeterministic operation

Parameters

workspaceIdRequired · string
See the input schema for this field.
includeArchivedOptional · boolean
See the input schema for this field.
Request example
curl -X GET "https://app.pipeline.help/api/launchpad/segments?workspaceId=00000000-0000-4000-8000-000000000000" \
  -H "Authorization: Bearer $PIPELINE_API_KEY"
Full input schema
Input schema
{
  "type": "object",
  "properties": {
    "workspaceId": {
      "type": "string"
    },
    "includeArchived": {
      "type": "boolean"
    }
  },
  "required": [
    "workspaceId"
  ]
}
See this operation inCLI MCP TypeScript SDK
API reference | Pipeline v2 preview